<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.carocr.mapper.CarOcrMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="carOcrResultMap" type="org.springblade.smartapplication.carocr.entity.CarOcr">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="device_name" property="deviceName"/>
<!--        <result column="out_int" property="outInt"/>-->
        <result column="in_time" property="inTime"/>
        <result column="vpl_number" property="vplNumber"/>
        <result column="vpl_type" property="vplType"/>
        <result column="location" property="location"/>
        <result column="car_owner_id" property="carOwnerId"/>
        <result column="car_owner_name" property="carOwnerName"/>
        <result column="vpl_color" property="vplColor"/>
        <result column="car_owner_phone" property="carOwnerPhone"/>
        <result column="image" property="image"/>
        <result column="park_code" property="parkCode"/>
        <result column="park_name" property="parkName"/>
        <result column="arm_code" property="armCode"/>
        <result column="car_type" property="carType"/>
        <result column="record_id" property="recordId"/>
    </resultMap>


    <select id="selectCarOcrPage" resultMap="carOcrResultMap">
        select * from yc_car_ocr where is_deleted = 0
    </select>

</mapper>
